Subject: Re: ARC article submission
From: "Steve Bamford" <[email-masked]>
To: "The Ambassador" <[email-masked]>
Date: Sat, 25 Jan 2003 11:48:23 -0800

----- Original Message ----- 
  From: The Ambassador 
  To: [email-masked] 
  Sent: Monday, January 13, 2003 2:07 AM
  Subject: ARC article submission

    
  Dear Steve,

  This is my 1/72 Airfix TBD Devastator, which I built back in around 1995 without the canopy. It is well known that the canopy Airfix supplied was horrible but thanks to Falcon vac-form canopy set, I could continue the project and finished it in 2002.

   I didn't remember much on the building process, but I did lowered the flap and replaced the missing tail gear. I used Tamiya paints on all over the project and supplied decal for the marking. I used as much as possible decal set to make the decal conform into the corrugated surfaces.

  I hope you all enjoy one of aircrafts, which took its part in history of US Navy.

  Alexander Sidharta

  Jakarta, Indonesia